//  @import com.hedgehoglab.application.view.BaseView;


function AdminView(scope){
    BaseView.call(this);
    var _this=this;

    _this.renderView=function(){
    	_this.render_template_with_view('admin/admin-view',{model:scope.tabModel},{},function(rendered_template){
    		$(scope.element).html(rendered_template);
    		$('.hide').hide().removeClass('hide');
    		$('a','.tabItems').bind('click',function(e){
    	    	var _id = $(this).attr('id').substring(4);
    	    	var _value = $(this).html();
    	    	_this.raise_event('on_tab_clicked',{id:_id,value:_value});
    	    	$('.adminPane').hide();
    			$('#admin'+_value).show();
    			$('li','.tabItems').removeClass('current');
    			$('.tab'+_value).addClass('current');
    	    });
    		$('#adminUsers').show();
    		$('.tabUsers').addClass('current');
    		$(scope.element).removeClass('ajaxLoading');
    		$('.ajaxLoading',scope.element).removeClass('ajaxLoading');
    	});
    };
    
    _this.renderView();
};